Open CASCADE, the 3D modelling kernel
3D modeling & numerical simulation

Search the Forums
See All Topics
Open CASCADEShowroomGet it!Developer CornerSupport and ProductsAbout us
Technical overview
Areas of use
Advantages
FAQ
Screenshots
Shape factory
Shape gallery
Demonstrations
What's new
System requirements
Download Center
Public license
Documentation
Getting started
Forums
Open Source community
Training and e-learning
A-la Carte Support
Value-added software
Complementary Components
Customer Corner
Company Profile
Marketing Materials
Contact Us
News
Home / Developer Corner / Forums / Usage issues / How compute a project point on a shape

How compute a project point on a shape

How compute a project point on a shape
SunHongLei 2012/12/14 10:18
There is a TopoDS_Shape and a TopoDS_Edge, how can I get their insect point?
How can I perform a norm project on a given shape with a TopoDS_Vertex?

Thanks!
Hennig 2012/12/17 12:23
i'm not sure if there are some possibilities to do this operations on the topo level.... but when you change to geoms there are lot more possibilities. when your edge is only a straight line the fastest method for an intersection would be IntCurvesFace_ShapeIntersector. Otherwise you should look for GeomAPI_IntCS. Or you check your intersection with an extrema function. when they intersect your extrema is a minimum and the distance is 0. check therfor trhe extrema package in Toolkit TKGeomBase .

for projection check GeomAPI_ProjectPointOnSurf()
SunHongLei 2012/12/17 13:44
Dear Henning:
Thanks for your kindly help! I have solved this problem by extrema method! Thanks again!

Best Regards

SunHongLei
 
 
Latest news
  • New features to enhance the development process
  • Open CASCADE Technology 6.7.1 is available for download!
  • Open CASCADE Technology 6.7.0 is available for download!

  • © OPEN CASCADE 2000 - 2014  |  Search  |  Contacts   |  Site map